""" iso3661_mapping_from_itu """

# The ITU and ISO do not agree on the full name of a country.
# This is ridiculous; but, we learn to convert as needed!

iso3661_mapping_from_itu = {
    "Afghanistan":                                                              { 'iso3661_name': "Afghanistan",                                                'iso3661': "AF" },
    "Albania (Republic of)":                                                    { 'iso3661_name': "Albania",                                                    'iso3661': "AL" },
    "Algeria (People's Democratic Republic of)":                                { 'iso3661_name': "Algeria",                                                    'iso3661': "DZ" },
    "Andorra (Principality of)":                                                { 'iso3661_name': "Andorra",                                                    'iso3661': "AD" },
    "Angola (Republic of)":                                                     { 'iso3661_name': "Angola",                                                     'iso3661': "AO" },
    "Antigua and Barbuda":                                                      { 'iso3661_name': "Antigua and Barbuda",                                        'iso3661': "AG" },
    "Argentine Republic":                                                       { 'iso3661_name': "Argentine Republic",                                         'iso3661': "AR" },
    "Armenia (Republic of)":                                                    { 'iso3661_name': "Armenia",                                                    'iso3661': "AM" },
    "Australia":                                                                { 'iso3661_name': "Australia",                                                  'iso3661': "AU" },
    "Austria":                                                                  { 'iso3661_name': "Austria",                                                    'iso3661': "AT" },
    "Azerbaijan (Republic of)":                                                 { 'iso3661_name': "Azerbaijan",                                                 'iso3661': "AZ" },
    "Bahamas (Commonwealth of the)":                                            { 'iso3661_name': "Bahamas",                                                    'iso3661': "BS" },
    "Bahrain (Kingdom of)":                                                     { 'iso3661_name': "Bahrain",                                                    'iso3661': "BH" },
    "Bangladesh (People's Republic of)":                                        { 'iso3661_name': "Bangladesh",                                                 'iso3661': "BD" },
    "Barbados":                                                                 { 'iso3661_name': "Barbados",                                                   'iso3661': "BB" },
    "Belarus (Republic of)":                                                    { 'iso3661_name': "Belarus",                                                    'iso3661': "BY" },
    "Belgium":                                                                  { 'iso3661_name': "Belgium",                                                    'iso3661': "BE" },
    "Belize":                                                                   { 'iso3661_name': "Belize",                                                     'iso3661': "BZ" },
    "Benin (Republic of)":                                                      { 'iso3661_name': "Benin",                                                      'iso3661': "BJ" },
    "Bhutan (Kingdom of)":                                                      { 'iso3661_name': "Bhutan",                                                     'iso3661': "BT" },
    "Bolivia (Plurinational State of)":                                         { 'iso3661_name': "Bolivia",                                                    'iso3661': "BO" },
    "Bosnia and Herzegovina":                                                   { 'iso3661_name': "Bosnia and Herzegovina",                                     'iso3661': "BA" },
    "Botswana (Republic of)":                                                   { 'iso3661_name': "Botswana",                                                   'iso3661': "BW" },
    "Brazil (Federative Republic of)":                                          { 'iso3661_name': "Brazil",                                                     'iso3661': "BR" },
    "Brunei Darussalam":                                                        { 'iso3661_name': "Brunei Darussalam",                                          'iso3661': "BN" },
    "Bulgaria (Republic of)":                                                   { 'iso3661_name': "Bulgaria",                                                   'iso3661': "BG" },
    "Burkina Faso":                                                             { 'iso3661_name': "Burkina Faso",                                               'iso3661': "BF" },
    "Burundi (Republic of)":                                                    { 'iso3661_name': "Burundi",                                                    'iso3661': "BI" },
    "Cabo Verde (Republic of)":                                                 { 'iso3661_name': "Cabo Verde",                                                 'iso3661': "CV" },
    "Cambodia (Kingdom of)":                                                    { 'iso3661_name': "Cambodia",                                                   'iso3661': "KH" },
    "Cameroon (Republic of)":                                                   { 'iso3661_name': "Cameroon",                                                   'iso3661': "CM" },
    "Canada":                                                                   { 'iso3661_name': "Canada",                                                     'iso3661': "CA" },
    "Central African Republic":                                                 { 'iso3661_name': "Central African Republic (the)",                             'iso3661': "CF" },
    "Chad (Republic of)":                                                       { 'iso3661_name': "Chad",                                                       'iso3661': "TD" },
    "Chile":                                                                    { 'iso3661_name': "Chile",                                                      'iso3661': "CL" },
    "China (People's Republic of) - Hong Kong":                                 { 'iso3661_name': "Hong Kong",                                                  'iso3661': "HK" },
    "China (People's Republic of) - Macao":                                     { 'iso3661_name': "Macao",                                                      'iso3661': "MO" },
    "China (People's Republic of)":                                             { 'iso3661_name': "China",                                                      'iso3661': "CN" },
    "Colombia (Republic of)":                                                   { 'iso3661_name': "Colombia",                                                   'iso3661': "CO" },
    "Comoros (Union of the)":                                                   { 'iso3661_name': "Comoros",                                                    'iso3661': "KM" },
    "Congo (Republic of the)":                                                  { 'iso3661_name': "Congo (the)",                                                'iso3661': "CG" },
    "Costa Rica":                                                               { 'iso3661_name': "Costa Rica",                                                 'iso3661': "CR" },
    "Côte d'Ivoire (Republic of)":                                              { 'iso3661_name': "Côte d'Ivoire",                                              'iso3661': "CI" },
    "Croatia (Republic of)":                                                    { 'iso3661_name': "Croatia",                                                    'iso3661': "HR" },
    "Cuba":                                                                     { 'iso3661_name': "Cuba",                                                       'iso3661': "CU" },
    "Cyprus (Republic of)":                                                     { 'iso3661_name': "Cyprus",                                                     'iso3661': "CY" },
    "Czech Republic":                                                           { 'iso3661_name': "Czechia",                                                    'iso3661': "CZ" },
    "Democratic People's Republic of Korea":                                    { 'iso3661_name': "Korea (the Democratic People's Republic of)",                'iso3661': "KP" },
    "Democratic Republic of the Congo":                                         { 'iso3661_name': "Congo (the Democratic Republic of the)",                     'iso3661': "CD" },
    "Denmark":                                                                  { 'iso3661_name': "Denmark",                                                    'iso3661': "DK" },
    "Djibouti (Republic of)":                                                   { 'iso3661_name': "Djibouti",                                                   'iso3661': "DJ" },
    "Dominica (Commonwealth of)":                                               { 'iso3661_name': "Dominica",                                                   'iso3661': "DM" },
    "Dominican Republic":                                                       { 'iso3661_name': "Dominican Republic (the)",                                   'iso3661': "DO" },
    "Ecuador":                                                                  { 'iso3661_name': "Ecuador",                                                    'iso3661': "EC" },
    "Egypt (Arab Republic of)":                                                 { 'iso3661_name': "Egypt",                                                      'iso3661': "EG" },
    "El Salvador (Republic of)":                                                { 'iso3661_name': "El Salvador",                                                'iso3661': "SV" },
    "Equatorial Guinea (Republic of)":                                          { 'iso3661_name': "Equatorial Guinea",                                          'iso3661': "GQ" },
    "Eritrea":                                                                  { 'iso3661_name': "Eritrea",                                                    'iso3661': "ER" },
    "Estonia (Republic of)":                                                    { 'iso3661_name': "Estonia",                                                    'iso3661': "EE" },
    "Eswatini (Kingdom of)":                                                    { 'iso3661_name': "Eswatini",                                                   'iso3661': "SZ" },
    "Ethiopia (Federal Democratic Republic of)":                                { 'iso3661_name': "Ethiopia",                                                   'iso3661': "ET" },
    "Fiji (Republic of)":                                                       { 'iso3661_name': "Fiji",                                                       'iso3661': "FJ" },
    "Finland":                                                                  { 'iso3661_name': "Finland",                                                    'iso3661': "FI" },
    "France":                                                                   { 'iso3661_name': "France",                                                     'iso3661': "FR" },
    "Gabonese Republic":                                                        { 'iso3661_name': "Gabon",                                                      'iso3661': "GA" },
    "Gambia (Republic of the)":                                                 { 'iso3661_name': "Gambia (the)",                                               'iso3661': "GM" },
    "Georgia":                                                                  { 'iso3661_name': "Georgia",                                                    'iso3661': "GE" },
    "Germany (Federal Republic of)":                                            { 'iso3661_name': "Germany",                                                    'iso3661': "DE" },
    "Ghana":                                                                    { 'iso3661_name': "Ghana",                                                      'iso3661': "GH" },
    "Greece":                                                                   { 'iso3661_name': "Greece",                                                     'iso3661': "GR" },
    "Grenada":                                                                  { 'iso3661_name': "Grenada",                                                    'iso3661': "GD" },
    "Guatemala (Republic of)":                                                  { 'iso3661_name': "Guatemala",                                                  'iso3661': "GT" },
    "Guinea (Republic of)":                                                     { 'iso3661_name': "Guinea",                                                     'iso3661': "GN" },
    "Guinea-Bissau (Republic of)":                                              { 'iso3661_name': "Guinea-Bissau",                                              'iso3661': "GW" },
    "Guyana":                                                                   { 'iso3661_name': "Guyana",                                                     'iso3661': "GY" },
    "Haiti (Republic of)":                                                      { 'iso3661_name': "Haiti",                                                      'iso3661': "HT" },
    "Honduras (Republic of)":                                                   { 'iso3661_name': "Honduras",                                                   'iso3661': "HN" },
    "Hungary":                                                                  { 'iso3661_name': "Hungary",                                                    'iso3661': "HU" },
    "Iceland":                                                                  { 'iso3661_name': "Iceland",                                                    'iso3661': "IS" },
    "India (Republic of)":                                                      { 'iso3661_name': "India",                                                      'iso3661': "IN" },
    "Indonesia (Republic of)":                                                  { 'iso3661_name': "Indonesia",                                                  'iso3661': "ID" },
    "Iran (Islamic Republic of)":                                               { 'iso3661_name': "Iran",                                                       'iso3661': "IR" },
    "Iraq (Republic of)":                                                       { 'iso3661_name': "Iraq",                                                       'iso3661': "IQ" },
    "Ireland":                                                                  { 'iso3661_name': "Ireland",                                                    'iso3661': "IE" },
    "Israel (State of)":                                                        { 'iso3661_name': "Israel",                                                     'iso3661': "IL" },
    "Italy":                                                                    { 'iso3661_name': "Italy",                                                      'iso3661': "IT" },
    "Jamaica":                                                                  { 'iso3661_name': "Jamaica",                                                    'iso3661': "JM" },
    "Japan":                                                                    { 'iso3661_name': "Japan",                                                      'iso3661': "JP" },
    "Jordan (Hashemite Kingdom of)":                                            { 'iso3661_name': "Jordan",                                                     'iso3661': "JO" },
    "Kazakhstan (Republic of)":                                                 { 'iso3661_name': "Kazakhstan",                                                 'iso3661': "KZ" },
    "Kenya (Republic of)":                                                      { 'iso3661_name': "Kenya",                                                      'iso3661': "KE" },
    "Kiribati (Republic of)":                                                   { 'iso3661_name': "Kiribati",                                                   'iso3661': "KI" },
    "Korea (Republic of)":                                                      { 'iso3661_name': "Korea (the Republic of)",                                    'iso3661': "KR" },
    "Kuwait (State of)":                                                        { 'iso3661_name': "Kuwait",                                                     'iso3661': "KW" },
    "Kyrgyz Republic":                                                          { 'iso3661_name': "Kyrgyzstan",                                                 'iso3661': "KG" },
    "Lao People's Democratic Republic":                                         { 'iso3661_name': "Lao People's Democratic Republic (the)",                     'iso3661': "LA" },
    "Latvia (Republic of)":                                                     { 'iso3661_name': "Latvia",                                                     'iso3661': "LV" },
    "Lebanon":                                                                  { 'iso3661_name': "Lebanon",                                                    'iso3661': "LB" },
    "Lesotho (Kingdom of)":                                                     { 'iso3661_name': "Lesotho",                                                    'iso3661': "LS" },
    "Liberia (Republic of)":                                                    { 'iso3661_name': "Liberia",                                                    'iso3661': "LR" },
    "Libya (State of)":                                                         { 'iso3661_name': "Libya",                                                      'iso3661': "LY" },
    "Lithuania (Republic of)":                                                  { 'iso3661_name': "Lithuania",                                                  'iso3661': "LT" },
    "Luxembourg":                                                               { 'iso3661_name': "Luxembourg",                                                 'iso3661': "LU" },
    "Madagascar (Republic of)":                                                 { 'iso3661_name': "Madagascar",                                                 'iso3661': "MG" },
    "Malawi":                                                                   { 'iso3661_name': "Malawi",                                                     'iso3661': "MW" },
    "Malaysia":                                                                 { 'iso3661_name': "Malaysia",                                                   'iso3661': "MY" },
    "Maldives (Republic of)":                                                   { 'iso3661_name': "Maldives",                                                   'iso3661': "MV" },
    "Mali (Republic of)":                                                       { 'iso3661_name': "Mali",                                                       'iso3661': "ML" },
    "Malta":                                                                    { 'iso3661_name': "Malta",                                                      'iso3661': "MT" },
    "Marshall Islands (Republic of the)":                                       { 'iso3661_name': "Marshall Islands",                                           'iso3661': "MH" },
    "Mauritania (Islamic Republic of)":                                         { 'iso3661_name': "Mauritania",                                                 'iso3661': "MR" },
    "Mauritius (Republic of)":                                                  { 'iso3661_name': "Mauritius",                                                  'iso3661': "MU" },
    "Mexico":                                                                   { 'iso3661_name': "Mexico",                                                     'iso3661': "MX" },
    "Micronesia (Federated States of)":                                         { 'iso3661_name': "Micronesia",                                                 'iso3661': "FM" },
    "Moldova (Republic of)":                                                    { 'iso3661_name': "Moldova",                                                    'iso3661': "MD" },
    "Monaco (Principality of)":                                                 { 'iso3661_name': "Monaco",                                                     'iso3661': "MC" },
    "Mongolia":                                                                 { 'iso3661_name': "Mongolia",                                                   'iso3661': "MN" },
    "Montenegro":                                                               { 'iso3661_name': "Montenegro",                                                 'iso3661': "ME" },
    "Morocco (Kingdom of)":                                                     { 'iso3661_name': "Morocco",                                                    'iso3661': "MA" },
    "Mozambique (Republic of)":                                                 { 'iso3661_name': "Mozambique",                                                 'iso3661': "MZ" },
    "Myanmar (Union of)":                                                       { 'iso3661_name': "Myanmar",                                                    'iso3661': "MM" },
    "Namibia (Republic of)":                                                    { 'iso3661_name': "Namibia",                                                    'iso3661': "NA" },
    "Nauru (Republic of)":                                                      { 'iso3661_name': "Nauru",                                                      'iso3661': "NR" },
    "Nepal (Federal Democratic Republic of)":                                   { 'iso3661_name': "Nepal",                                                      'iso3661': "NP" },
    "Netherlands (Kingdom of the) - Aruba":                                     { 'iso3661_name': "Aruba",                                                      'iso3661': "AW" },
    "Netherlands (Kingdom of the) - Sint Maarten (Dutch part)":                 { 'iso3661_name': "Sint Maarten (Dutch part)",                                  'iso3661': "SX" },
    "Netherlands (Kingdom of the)":                                             { 'iso3661_name': "Netherlands",                                                'iso3661': "NL" },
    "New Zealand - Cook Islands":                                               { 'iso3661_name': "Cook Islands (the)",                                         'iso3661': "CK" },
    "New Zealand - Niue":                                                       { 'iso3661_name': "Niue",                                                       'iso3661': "NU" },
    "New Zealand":                                                              { 'iso3661_name': "New Zealand",                                                'iso3661': "NZ" },
    "Nicaragua":                                                                { 'iso3661_name': "Nicaragua",                                                  'iso3661': "NI" },
    "Niger (Republic of the)":                                                  { 'iso3661_name': "Niger",                                                      'iso3661': "NE" },
    "Nigeria (Federal Republic of)":                                            { 'iso3661_name': "Nigeria",                                                    'iso3661': "NG" },
    "North Macedonia (Republic of)":                                            { 'iso3661_name': "North Macedonia",                                            'iso3661': "MK" },
    "Norway":                                                                   { 'iso3661_name': "Norway",                                                     'iso3661': "NO" },
    "Oman (Sultanate of)":                                                      { 'iso3661_name': "Oman",                                                       'iso3661': "OM" },
    "Pakistan (Islamic Republic of)":                                           { 'iso3661_name': "Pakistan",                                                   'iso3661': "PK" },
    "Palau (Republic of)":                                                      { 'iso3661_name': "Palau",                                                      'iso3661': "PW" },
    "Panama (Republic of)":                                                     { 'iso3661_name': "Panama",                                                     'iso3661': "PA" },
    "Papua New Guinea":                                                         { 'iso3661_name': "Papua New Guinea",                                           'iso3661': "PG" },
    "Paraguay (Republic of)":                                                   { 'iso3661_name': "Paraguay",                                                   'iso3661': "PY" },
    "Peru":                                                                     { 'iso3661_name': "Peru",                                                       'iso3661': "PE" },
    "Philippines (Republic of the)":                                            { 'iso3661_name': "Philippines",                                                'iso3661': "PH" },
    "Poland (Republic of)":                                                     { 'iso3661_name': "Poland",                                                     'iso3661': "PL" },
    "Portugal":                                                                 { 'iso3661_name': "Portugal",                                                   'iso3661': "PT" },
    "Qatar (State of)":                                                         { 'iso3661_name': "Qatar",                                                      'iso3661': "QA" },
    "Republic of Türkiye":                                                      { 'iso3661_name': "Türkiye",                                                    'iso3661': "TR" },
    "Romania":                                                                  { 'iso3661_name': "Romania",                                                    'iso3661': "RO" },
    "Russian Federation":                                                       { 'iso3661_name': "Russian Federation (the)",                                   'iso3661': "RU" },
    "Rwanda (Republic of)":                                                     { 'iso3661_name': "Rwanda",                                                     'iso3661': "RW" },
    "Saint Kitts and Nevis (Federation of)":                                    { 'iso3661_name': "Saint Kitts and Nevis",                                      'iso3661': "KN" },
    "Saint Lucia":                                                              { 'iso3661_name': "Saint Lucia",                                                'iso3661': "LC" },
    "Saint Vincent and the Grenadines":                                         { 'iso3661_name': "Saint Vincent and the Grenadines",                           'iso3661': "VC" },
    "Samoa (Independent State of)":                                             { 'iso3661_name': "Samoa",                                                      'iso3661': "WS" },
    "San Marino (Republic of)":                                                 { 'iso3661_name': "San Marino",                                                 'iso3661': "SM" },
    "Sao Tome and Principe (Democratic Republic of)":                           { 'iso3661_name': "Sao Tome and Principe",                                      'iso3661': "ST" },
    "Saudi Arabia (Kingdom of)":                                                { 'iso3661_name': "Saudi Arabia",                                               'iso3661': "SA" },
    "Senegal (Republic of)":                                                    { 'iso3661_name': "Senegal",                                                    'iso3661': "SN" },
    "Serbia (Republic of)":                                                     { 'iso3661_name': "Serbia",                                                     'iso3661': "RS" },
    "Seychelles (Republic of)":                                                 { 'iso3661_name': "Seychelles",                                                 'iso3661': "SC" },
    "Sierra Leone":                                                             { 'iso3661_name': "Sierra Leone",                                               'iso3661': "SL" },
    "Singapore (Republic of)":                                                  { 'iso3661_name': "Singapore",                                                  'iso3661': "SG" },
    "Slovak Republic":                                                          { 'iso3661_name': "Slovak Republic",                                            'iso3661': "SK" },
    "Slovenia (Republic of)":                                                   { 'iso3661_name': "Slovenia",                                                   'iso3661': "SI" },
    "Solomon Islands":                                                          { 'iso3661_name': "Solomon Islands",                                            'iso3661': "SB" },
    "Somalia (Federal Republic of)":                                            { 'iso3661_name': "Somalia",                                                    'iso3661': "SO" },
    "South Africa (Republic of)":                                               { 'iso3661_name': "South Africa",                                               'iso3661': "ZA" },
    "South Sudan (Republic of)":                                                { 'iso3661_name': "South Sudan",                                                'iso3661': "SS" },
    "Spain":                                                                    { 'iso3661_name': "Spain",                                                      'iso3661': "ES" },
    "Sri Lanka (Democratic Socialist Republic of)":                             { 'iso3661_name': "Sri Lanka",                                                  'iso3661': "LK" },
    "State of Palestine (In accordance with Resolution 99 Rev. Dubai, 2018)":   { 'iso3661_name': "State of Palestine",                                         'iso3661': "PS" },
    "Sudan (Republic of the)":                                                  { 'iso3661_name': "Sudan",                                                      'iso3661': "SD" },
    "Suriname (Republic of)":                                                   { 'iso3661_name': "Suriname",                                                   'iso3661': "SR" },
    "Sweden":                                                                   { 'iso3661_name': "Sweden",                                                     'iso3661': "SE" },
    "Switzerland (Confederation of)":                                           { 'iso3661_name': "Switzerland",                                                'iso3661': "CH" },
    "Syrian Arab Republic":                                                     { 'iso3661_name': "Syrian Arab Republic (the)",                                 'iso3661': "SY" },
    "Tajikistan (Republic of)":                                                 { 'iso3661_name': "Tajikistan",                                                 'iso3661': "TJ" },
    "Tanzania (United Republic of)":                                            { 'iso3661_name': "Tanzania",                                                   'iso3661': "TZ" },
    "Thailand":                                                                 { 'iso3661_name': "Thailand",                                                   'iso3661': "TH" },
    "Timor-Leste (Democratic Republic of)":                                     { 'iso3661_name': "Timor-Leste",                                                'iso3661': "TL" },
    "Togolese Republic":                                                        { 'iso3661_name': "Togolese Republic",                                          'iso3661': "TG" },
    "Tonga (Kingdom of)":                                                       { 'iso3661_name': "Tonga",                                                      'iso3661': "TO" },
    "Trinidad and Tobago":                                                      { 'iso3661_name': "Trinidad and Tobago",                                        'iso3661': "TT" },
    "Tunisia":                                                                  { 'iso3661_name': "Tunisia",                                                    'iso3661': "TN" },
    "Turkmenistan":                                                             { 'iso3661_name': "Turkmenistan",                                               'iso3661': "TM" },
    "Tuvalu":                                                                   { 'iso3661_name': "Tuvalu",                                                     'iso3661': "TV" },
    "Uganda (Republic of)":                                                     { 'iso3661_name': "Uganda",                                                     'iso3661': "UG" },
    "Ukraine":                                                                  { 'iso3661_name': "Ukraine",                                                    'iso3661': "UA" },
    "United Arab Emirates":                                                     { 'iso3661_name': "United Arab Emirates (the)",                                 'iso3661': "AE" },
    "United Kingdom of Great Britain and Northern Ireland":                     { 'iso3661_name': "United Kingdom of Great Britain and Northern Ireland (the)", 'iso3661': "GB" },
    "United Nations":                                                           { 'iso3661_name': "United Nations",                                             'iso3661': "UN" },
    "United States of America":                                                 { 'iso3661_name': "United States of America (the)",                             'iso3661': "US" },
    "Uruguay (Eastern Republic of)":                                            { 'iso3661_name': "Uruguay",                                                    'iso3661': "UY" },
    "Uzbekistan (Republic of)":                                                 { 'iso3661_name': "Uzbekistan",                                                 'iso3661': "UZ" },
    "Vanuatu (Republic of)":                                                    { 'iso3661_name': "Vanuatu",                                                    'iso3661': "VU" },
    "Vatican City State":                                                       { 'iso3661_name': "Vatican City State",                                         'iso3661': "VA" },
    "Venezuela (Bolivarian Republic of)":                                       { 'iso3661_name': "Venezuela",                                                  'iso3661': "VE" },
    "Viet Nam (Socialist Republic of)":                                         { 'iso3661_name': "Viet Nam",                                                   'iso3661': "VN" },
    "Yemen (Republic of)":                                                      { 'iso3661_name': "Yemen",                                                      'iso3661': "YE" },
    "Zambia (Republic of)":                                                     { 'iso3661_name': "Zambia",                                                     'iso3661': "ZM" },
    "Zimbabwe (Republic of)":                                                   { 'iso3661_name': "Zimbabwe",                                                   'iso3661': "ZW" },
}
